Skip to content
Start here

Delete IP profile

client.zeroTrust.devices.ipProfiles.delete(stringprofileId, IPProfileDeleteParams { account_id } params, RequestOptionsoptions?): IPProfileDeleteResponse { id }
DELETE/accounts/{account_id}/devices/ip-profiles/{profile_id}

Delete a WARP Device IP profile.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
profileId: string
params: IPProfileDeleteParams { account_id }
account_id: string
ReturnsExpand Collapse
IPProfileDeleteResponse { id }
id?: string

ID of the deleted Device IP profile.

Delete IP profile

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const ipProfile = await client.zeroTrust.devices.ipProfiles.delete('profile_id', {
  account_id: 'account_id',
});

console.log(ipProfile.id);
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
  },
  "success": true
}